<template>
  <div>
    <v-row v-if="loading" class="mt-8">
      <v-col v-for="(item, i) in 8" :key="i" lg="3" md="3" sm="6" cols="12">
        <v-skeleton-loader
          class="mx-auto"
          max-width="300"
          type="card"
        ></v-skeleton-loader>
      </v-col>
    </v-row>

    <v-row v-else>
      <v-col v-for="(item, i) in datas" :key="i" lg="3" md="3" sm="6" cols="12">
        <v-card class="mx-auto my-12" max-width="374">
          <v-row style="margin: 0">
            <v-col
              v-for="(item, i) in photosFilter(item.id)"
              :key="i"
              lg="6"
              md="6"
              sm="6"
              style="padding: 1px"
            >
              <v-img height="auto" :src="item.thumbnailUrl"></v-img>
            </v-col>
          </v-row>

          <v-card-title class="text-capitalize"
            ><nuxt-link :to="`/album?id=${item.id}&user_id=${item.userId}`">{{
              item.title
            }}</nuxt-link></v-card-title
          >

          <v-card-text>
            <div class="text-subtitle-1">
              <nuxt-link :to="`/user?user_id=${item.userId}`"
                ><span v-text="userFind(item.userId)"></span
              ></nuxt-link>
            </div>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  props: {
    datas: {
      type: Array,
      default: () => []
    },
    datasUser: {
      type: Array,
      default: () => []
    },
    datasPhoto: {
      type: Array,
      default: () => []
    },
    loading: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    userFind(id_user) {
      const found = this.datasUser.find(el => el.id === id_user);
      return found ? found.name : "";
    },
    photosFilter(id_album) {
      const found = this.datasPhoto.filter(el => el.albumId === id_album);
      return found.splice(Math.floor(Math.random() * found.length), 4);
    }
  }
};
</script>

<style lang="scss" scoped>
a {
  color: unset;
  text-decoration: unset;
  &:hover {
    text-decoration: underline;
  }
}
</style>
